<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$hmlsImgRotate = ( $hmls_slide_height - (($hmls_slide_height * 80)/100) ) / 2;
?>
<style type="text/css">
/* Slide Started */
.hmls-slide-wrapper {
    background-color: <?php esc_html_e( $hmls_slide_container_bg_color ); ?>;
    border-radius: <?php esc_html_e( $hmls_slide_container_radius ); ?>px;
    padding: <?php esc_html_e( $hmls_slide_container_padding_top ); ?>px <?php esc_html_e( $hmls_slide_container_padding_right ); ?>px <?php esc_html_e( $hmls_slide_container_padding_bottom ); ?>px <?php esc_html_e( $hmls_slide_container_padding_left ); ?>px;
    border: <?php esc_html_e( $hmls_slide_container_border_width ); ?>px solid <?php esc_html_e( $hmls_slide_container_border_color ); ?>;
}   
.splide__slide {
    height: <?php esc_html_e( $hmls_slide_height ); ?>px;
    border-color: <?php esc_html_e( $hmls_slide_border_color ); ?>;
    background-color: <?php esc_html_e( $hmls_slide_bg_color ); ?>;
    border-radius: <?php esc_html_e( $hmls_slide_radius ); ?>px;
    border-width: <?php esc_html_e( $hmls_slide_border_width ); ?>px;
    width: 150px;
}
.splide__slide.is-active {
    background: <?php esc_html_e( $hmls_slide_focus_bg_color ); ?>;
    border-color: <?php esc_html_e( $hmls_slide_focus_bg_color ); ?>;
}
.splide__slide a img {
    right: -50%;
    transform: translate(-50%, <?php esc_html_e( $hmlsImgRotate ); ?>px);
}
.splide__progress__bar {
    height: <?php esc_html_e( $hmls_slide_progress_bar_height ); ?>px;
    background-color: <?php esc_html_e( $hmls_slide_progress_bar_color ); ?>;
}
/* Slide Ended */

/* Grid Started */
.hmls-logo-main-wrapper {
    background-color: <?php esc_html_e( $hmls_grid_container_bg_color ); ?>;
    border: <?php esc_html_e( $hmls_grid_container_border_width ); ?>px solid <?php esc_html_e( $hmls_grid_container_border_color ); ?>;
    border-radius: <?php esc_html_e( $hmls_grid_container_radius ); ?>px;
    padding: <?php esc_html_e( $hmls_grid_container_padding_top ); ?>px <?php esc_html_e( $hmls_grid_container_padding_right ); ?>px <?php esc_html_e( $hmls_grid_container_padding_bottom ); ?>px <?php esc_html_e( $hmls_grid_container_padding_left ); ?>px;
    grid-gap: <?php esc_html_e( $hmls_grid_item_gap ); ?>px;
}
.hmls-logo-main-wrapper>.hmls-logo-item {
    border: <?php esc_html_e( $hmls_grid_item_border_width ); ?>px solid <?php esc_html_e( $hmls_grid_item_border_color ); ?>;
    border-radius: <?php esc_html_e( $hmls_grid_item_radius ); ?>px;
    background-color: <?php esc_html_e( $hmls_grid_item_bg_color ); ?>;
}
.hmls-logo-main-wrapper>.hmls-logo-item:hover {
    border: <?php esc_html_e( $hmls_grid_item_border_width ); ?>px solid <?php esc_html_e( $hmls_grid_item_brdr_clr_hvr ); ?>;
    background-color: <?php esc_html_e( $hmls_grid_item_bg_clr_hvr ); ?>;
}
<?php
if ( $hmls_grid_zoom_in ) {
    ?>
    .hmls-logo-main-wrapper>.hmls-logo-item:hover {
        -ms-transform: scale(1.2);
        -moz-transform: scale(1.2);
        -webkit-transform: scale(1.2);
        -o-transform: scale(1.2);
        transform: scale(1.2);
    }
    <?php
}
?>
/* Grid Ended */
</style>