<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

include_once HMLS_PATH . 'common/hmls-slide-content-settigns.php';
include_once HMLS_PATH . 'common/hmls-slide-styles-settigns.php';
include_once HMLS_PATH . 'common/hmls-grid-content-settigns.php';
include_once HMLS_PATH . 'common/hmls-grid-styles-settigns.php';
include_once HMLS_PATH . 'common/hmls-common.php';

/**
*	Front Parent Class
*/
class HMLS_Front 
{
	use Hmls_Slide_Content_Settings, Hmls_Slide_Style_Settings, Hmls_Grid_Content_Settings, Hmls_Grid_Style_Settings, Hmls_Common;

	private $hmls_version;

	function __construct( $version ) {
		$this->hmls_version = $version;
		$this->hmls_assets_prefix = substr(HMLS_PRFX, 0, -1) . '-';
	}
	
	function hmls_front_assets() {

		$hmlsSlideContentSettings = $this->get_slide_content_settings();

		foreach ( $hmlsSlideContentSettings as $option_name => $option_value ) {
			
			if ( isset( $hmlsSlideContentSettings[$option_name] ) ) {

				${"" . $option_name}  = $option_value;
			
			}
		}
		
		wp_enqueue_style( 'hmls-splide', 
			HMLS_ASSETS . 'css/themes/splide-' . $hmls_slide_theme . '.min.css',
			array(),
			$this->hmls_version,
			FALSE 
		);

		wp_enqueue_style( 'hmls-front', 
			HMLS_ASSETS . 'css/' . $this->hmls_assets_prefix . 'front.css',
			array(),
			$this->hmls_version,
			FALSE 
		);
		
		if( ! wp_script_is( 'jquery' ) ) {
			wp_enqueue_script('jquery');
		}

		wp_enqueue_script(  'hmls-splide',
							HMLS_ASSETS . 'js/splide.min.js',
							'',
							'2.4.20',
							TRUE );

		wp_enqueue_script(  'hmls-front',
							HMLS_ASSETS . 'js/' . $this->hmls_assets_prefix . 'front.js',
							array('jquery'),
							$this->hmls_version,
							TRUE );
		
		wp_localize_script( 'hmls-front', 'hmlsSlideOption', $hmlsSlideContentSettings );
	}

	function hmls_load_shortcode() {

		add_shortcode( 'hm_logo_showcase', array( $this, 'hmls_load_shortcode_view' ) );
	}

	function hmls_load_shortcode_view( $hmlsAttr ) {

		$hmlsSlideContentSettings	= $this->get_slide_content_settings();
		$hmlsSlideStylesSettings	= $this->get_slide_styles_settings();
		$gridSettingsContent		= $this->get_grid_content_settings();
		$hmlsGridStyleSettings   	= $this->get_grid_style_settings();

		foreach ( $hmlsSlideContentSettings as $option_name => $option_value ) {
			
			if ( isset( $hmlsSlideContentSettings[$option_name] ) ) {

				${"" . $option_name}  = $option_value;
			
			}
		}

		foreach ( $hmlsSlideStylesSettings as $style_key => $style_value ) {
    
			if ( isset( $hmlsSlideStylesSettings[$style_key] ) ) {
		
				${"" . $style_key}  = $style_value;
			
			}
		}

		foreach ( $gridSettingsContent as $gc_key => $gc_value ) {
    
			if ( isset( $gridSettingsContent[$gc_key] ) ) {
		
				${"" . $gc_key}  = $gc_value;
			
			}
		}

		foreach ( $hmlsGridStyleSettings as $gs_key => $gs_value ) {
    
			if ( isset( $hmlsGridStyleSettings[$gs_key] ) ) {
		
				${"" . $gs_key}  = $gs_value;
			
			}
		}

		$output = '';
		ob_start();
		include HMLS_PATH . 'front/view/' . $this->hmls_assets_prefix . 'front-view.php';
		$output .= ob_get_clean();
		return $output;
	}
}
?>